## GdauiDataFilter

GdauiDataFilter — Entrer rules to filter the rows in a GdauiDataProxy

## Synopsis

    struct              GdauiDataFilter;
    GtkWidget *         gdaui_data_filter_new               (GdauiDataProxy *data_widget);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GdauiDataFilter

## Implemented Interfaces

GdauiDataFilter implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "data-widget"              GdauiDataProxy*       : Read / Write

## Description

The GdauiDataFilter widget can be used as a standalone widget, but is also used internally by the GdauiDataProxyInfo widget for its search option.

## Details

### struct GdauiDataFilter

    struct GdauiDataFilter;

### gdaui_data_filter_new ()

    GtkWidget *         gdaui_data_filter_new               (GdauiDataProxy *data_widget);

Creates a new GdauiDataFilter widget suitable to change the filter expression for `data_widget`'s displayed rows

`data_widget` : | a widget implementing the GdauiDataProxy interface
Returns : | the new widget. [transfer full]

Since 4.2

## Property Details

### The `"data-widget"` property

      "data-widget"              GdauiDataProxy*       : Read / Write